<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Home</title>
</head>
<body>

<h2 style="margin-top: 100px">Add PDF File to parse</h2>

<form action="/api/upload/" method="post" enctype="multipart/form-data">
    <div class="input-file-container">
        <input class="input-file" id="my-file" type="file" name="file" accept="application/pdf">
        <label tabindex="0" for="my-file" class="input-file-trigger">Select a file...</label>
    </div>
    <p class="file-return"></p>
    <div class="input-file-container">
        <input class="input-file-trigger" type="submit" value="Upload" name="submit">
    </div>
</form>

<h2 style="margin-top: 100px">Links to the endpoints</h2>

{#It's bad to hardcode links like that#}
<div>
    <div style="text-align: center">
        <a href="/api/documents/">/api/documents/</a>
    </div>
    <div style="text-align: center">
        <a href="/api/documents/1/urls/">/api/documents/1/urls/</a>
    </div>
    <div style="text-align: center">
        <a href="/api/urls/">/api/urls/</a>
    </div>
</div>

<h2 style="margin-top: 100px">PDF to test parsing</h2>
    <div style="text-align: center">
        <a target="_blank" href="https://weakdh.org/imperfect-forward-secrecy.pdf">Download PDF</a>
    </div>

{# Its bad to place style here #}
<style>
    .input-file-container {
        position: relative;
        width: 225px;
        margin: 25px;
    }

    .js .input-file-trigger {
        display: block;
        padding: 14px 45px;
        background: #0167C7;
        color: #fff;
        font-size: 1em;
        cursor: pointer;
        margin: 0 auto;
    }

    .js .input-file {
        position: absolute;
        top: 0;
        left: 0;
        width: 225px;
        opacity: 0;
        padding: 14px 0;
        cursor: pointer;
    }

    .js .input-file:hover + .input-file-trigger,
    .js .input-file:focus + .input-file-trigger,
    .js .input-file-trigger:hover,
    .js .input-file-trigger:focus {
        background: #1d405e;
        color: #0167C7;
    }

    .file-return {
        margin: 0;
    }

    .file-return:not(:empty) {
        margin: 1em 0;
    }

    .js .file-return {
        font-style: italic;
        font-size: .9em;
        font-weight: bold;
    }

    .js .file-return:not(:empty):before {
        content: "Selected file: ";
        font-style: normal;
        font-weight: normal;
    }

    body {
        font-family: "Open sans", "Segoe UI", "Segoe WP", Helvetica, Arial, sans-serif;
        color: #7F8C9A;
        background: #FCFDFD;
    }

    h1, h2 {
        margin-bottom: 5px;
        font-weight: normal;
        text-align: center;
        color: #aaa;
    }

    h2 {
        margin: 5px 0 2em;
        color: #0167C7;
    }

    form {
        width: 275px;
        margin: 0 auto;
        text-align: center;
    }

    h2 + P {
        text-align: center;
    }

    .copy a {
        text-decoration: none;
        color: #0167C7;
    }
</style>

{# Its also bad to place js here #}
<script>
    document.querySelector("html").classList.add('js');

    var fileInput = document.querySelector(".input-file"),
        button = document.querySelector(".input-file-trigger"),
        the_return = document.querySelector(".file-return");

    button.addEventListener("keydown", function (event) {
        if (event.keyCode == 13 || event.keyCode == 32) {
            fileInput.focus();
        }
    });
    button.addEventListener("click", function (event) {
        fileInput.focus();
        return false;
    });
    fileInput.addEventListener("change", function (event) {
        the_return.innerHTML = this.value;
    });
</script>
</body>
</html>

